CVE Vulnerabilities

CVE-2004-1056

Published: Jan 10, 2005 | Modified: Oct 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.4 MEDIUM
AV:N/AC:L/Au:N/C:N/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Direct Rendering Manager (DRM) driver in Linux kernel 2.6 does not properly check the DMA lock, which could allow remote attackers or local users to cause a denial of service (X Server crash) and possibly modify the video output.

Affected Software

Name Vendor Start Version End Version
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.0 2.6.0
Linux_kernel Linux 2.6.1 2.6.1
Linux_kernel Linux 2.6.1 2.6.1
Linux_kernel Linux 2.6.1 2.6.1
Linux_kernel Linux 2.6.2 2.6.2
Linux_kernel Linux 2.6.3 2.6.3
Linux_kernel Linux 2.6.4 2.6.4
Linux_kernel Linux 2.6.5 2.6.5
Linux_kernel Linux 2.6.6 2.6.6
Linux_kernel Linux 2.6.6 2.6.6
Linux_kernel Linux 2.6.7 2.6.7
Linux_kernel Linux 2.6.7 2.6.7
Linux_kernel Linux 2.6.8 2.6.8
Linux_kernel Linux 2.6.8 2.6.8
Linux_kernel Linux 2.6.8 2.6.8
Linux_kernel Linux 2.6.8 2.6.8
Linux_kernel Linux 2.6.9 2.6.9
Linux_kernel Linux 2.6.10 2.6.10
Linux_kernel Linux 2.6_test9_cvs 2.6_test9_cvs
Ubuntu_linux Ubuntu 4.1 4.1
Ubuntu_linux Ubuntu 4.1 4.1
Red Hat Enterprise Linux 2.1 RedHat kernel *
Red Hat Enterprise Linux 2.1 RedHat kernel *
Red Hat Enterprise Linux 3 RedHat kernel-0:2.4.21-37.EL *
Red Hat Enterprise Linux 4 RedHat kernel-0:2.6.9-5.0.3.EL *
Kernel-source-2.4.27 Ubuntu dapper *
Kernel-source-2.4.27 Ubuntu edgy *
Linux-source-2.6.15 Ubuntu dapper *
Linux-source-2.6.17 Ubuntu edgy *

References